<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$TOC_DEPRECATED = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/class.threaded.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'it',
  ),
  'this' => 
  array (
    0 => 'thread.isrunning.php',
    1 => 'Threaded::isRunning',
  ),
  'up' => 
  array (
    0 => 'class.threaded.php',
    1 => 'Threaded',
  ),
  'prev' => 
  array (
    0 => 'threaded.extend.php',
    1 => 'Threaded::extend',
  ),
  'next' => 
  array (
    0 => 'threaded.isterminated.php',
    1 => 'Threaded::isTerminated',
  ),
  'alternatives' => 
  array (
  ),
  'source' => 
  array (
    'lang' => 'en',
    'path' => 'reference/pthreads/threaded/isrunning.xml',
  ),
  'history' => 
  array (
  ),
);
$setup["toc"] = $TOC;
$setup["toc_deprecated"] = $TOC_DEPRECATED;
$setup["parents"] = $PARENTS;
manual_setup($setup);

contributors($setup);

?>
<div id="thread.isrunning" class="refentry">
 <div class="refnamediv">
  <h1 class="refname">Threaded::isRunning</h1>
  <p class="verinfo">(PECL pthreads &gt;= 2.0.0)</p><p class="refpurpose"><span class="refname">Threaded::isRunning</span> &mdash; <span class="dc-title">State Detection</span></p>

 </div>

 <div class="refsect1 description" id="refsect1-thread.isrunning-description">
  <h3 class="title">Descrizione</h3>
  <div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="methodname"><strong>Threaded::isRunning</strong></span>(): <span class="type"><a href="language.types.boolean.php" class="type bool">bool</a></span></div>

  <p class="para rdfs-comment">
  Tell if the referenced object is executing
  </p>
 </div>


 <div class="refsect1 parameters" id="refsect1-thread.isrunning-parameters">
  <h3 class="title">Elenco dei parametri</h3>
  <p class="para">Questa funzione non contiene parametri.</p>
 </div>


 <div class="refsect1 returnvalues" id="refsect1-thread.isrunning-returnvalues">
  <h3 class="title">Valori restituiti</h3>
  <p class="para">
  A boolean indication of state
  <blockquote class="note"><p><strong class="note">Nota</strong>: 
    <p class="para">
     A object is considered running while executing the run method
    </p>
   </p></blockquote>
  </p>
 </div>


 <div class="refsect1 examples" id="refsect1-thread.isrunning-examples">
  <h3 class="title">Esempi</h3>
  <p class="para">
   <div class="example" id="example-3295">
    <p><strong>Example #1 Detect the state of the referenced object</strong></p>
    <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br /></span><span style="color: #007700">class </span><span style="color: #0000BB">My </span><span style="color: #007700">extends </span><span style="color: #0000BB">Thread </span><span style="color: #007700">{<br />    public function </span><span style="color: #0000BB">run</span><span style="color: #007700">() {<br />        </span><span style="color: #0000BB">$this</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">synchronized</span><span style="color: #007700">(function(</span><span style="color: #0000BB">$thread</span><span style="color: #007700">){<br />            if (!</span><span style="color: #0000BB">$thread</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">done</span><span style="color: #007700">)<br />                </span><span style="color: #0000BB">$thread</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">wait</span><span style="color: #007700">();<br />        }, </span><span style="color: #0000BB">$this</span><span style="color: #007700">);<br />    }<br />}<br /></span><span style="color: #0000BB">$my </span><span style="color: #007700">= new </span><span style="color: #0000BB">My</span><span style="color: #007700">();<br /></span><span style="color: #0000BB">$my</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">start</span><span style="color: #007700">();<br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">$my</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">isRunning</span><span style="color: #007700">());<br /></span><span style="color: #0000BB">$my</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">synchronized</span><span style="color: #007700">(function(</span><span style="color: #0000BB">$thread</span><span style="color: #007700">){<br />    </span><span style="color: #0000BB">$thread</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">done </span><span style="color: #007700">= </span><span style="color: #0000BB">true</span><span style="color: #007700">;<br />    </span><span style="color: #0000BB">$thread</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">notify</span><span style="color: #007700">();<br />}, </span><span style="color: #0000BB">$my</span><span style="color: #007700">);<br /></span><span style="color: #0000BB">?&gt;</span></span></code></div>
    </div>

    <div class="example-contents"><p>Il precedente esempio visualizzerà:</p></div>
    <div class="example-contents screen">
<div class="examplescode"><pre class="examplescode">bool(true)</pre>
</div>
    </div>
   </div>
  </p>
 </div>

</div><?php manual_footer($setup); ?>